DoubleConstValueSource (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.DoubleConstValueSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class DoubleConstValueSource

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.ConstNumberSource
              org.apache.solr.search.function.DoubleConstValueSource

All Implemented Interfaces:
  Serializable

    public class DoubleConstValueSource

extends ConstNumberSource

See Also:
  Serialized Form

Constructor Summary
`DoubleConstValueSource(double constant)`

Method Summary
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`double` | `getDouble()`
`float` | `getFloat()`
`int` | `getInt()`
`long` | `getLong()`
`Number` | `getNumber()`
`DocValues` | `getValues(Map context, IndexReader reader)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` | `hashCode()`

Methods inherited from class org.apache.solr.search.function.ValueSource
`createWeight, getSortField, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleConstValueSource

    public DoubleConstValueSource(double constant)

Method Detail

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### getValues

    public DocValues getValues(Map context,
                               IndexReader reader)
                        throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Overrides:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### getInt

    public int getInt()

  Specified by:
    `getInt` in class `ConstNumberSource`

### getLong

    public long getLong()

  Specified by:
    `getLong` in class `ConstNumberSource`

### getFloat

    public float getFloat()

  Specified by:
    `getFloat` in class `ConstNumberSource`

### getDouble

    public double getDouble()

  Specified by:
    `getDouble` in class `ConstNumberSource`

### getNumber

    public Number getNumber()

  Specified by:
    `getNumber` in class `ConstNumberSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD